###
###
#
# Copy this file to ../makefile.inc
# Global definitions for Makefiles.
# This file is included by all TAGL Makefiles.
# Modify it according to your system.
# or get the right makefile.inc in the config 
# directory.
#
###
###

#
# Configuration:
# MSDOS/Vesa/djgpp/grd
#
#



# TAGL distribution tree

# GNU tools are Unix tools,
# that's why they require slashes instead of backslashes.

  TAGL_ROOT = C:/tagl21/
  TAGL_INC  = $(TAGL_ROOT)include/
  TAGL_LIB  = $(TAGL_ROOT)lib/
  TAGL_BIN  = $(TAGL_ROOT)bin/

# some 'make' utilities won't like this double backslash.
# it's to avoid the first one to be interpreted as
# "to be continued on next line" .
# f*ck MSDOS with it stupid slashes in the wrong wise !!!
# try removing it if it's not accepted ...

  TAGL_ROOT2 = C:\tagl21\\
  TAGL_INC2  = $(TAGL_ROOT2)include\\
  TAGL_LIB2  = $(TAGL_ROOT2)lib\\
  TAGL_BIN2  = $(TAGL_ROOT2)bin\\

# C and C++ compiler

  CXX=gcc
  CC=gcc
  LDXX=gcc
  LD=gcc

# Unix commands
# got problems with 'move', so I used 'copy' instead ...

  RM=del
  CP=copy
  MV=copy

# makedepend doesn't know C++ include path
# let it blank if you don't know and ignore
# messages while 'make dep' if you use 'makedepend' (it does not matter ...).
# Default uses gcc -MM, so in most cases you don't have
# to bother about this ...

ALL_INCLUDES=

# dependancies file name
# I don't know why, but my dependancy file is not
# recognized under DOS.


  DEP = $(TAGL_ROOT)config/dummy.dep


# optimize flags

OPTIMIZE=-O6 -funroll-loops

# X11 and SVGA special stuff.
# Add here include and linking path if needed.
# Remove -DX_SHM if your system does not have MIT X SHM.
# Remove -lvga if you don't have Linux SVGAlib.


  CCSVGA=
  LDSVGA=-lgpp -lpc -lgr

# It would be possible to use Deskview X stuff.

  CCX11=
  LDX11=

# Add -DEBUG here for compiling
# assertion checks (slower).

CCOPT=$(OPTIMIZE)
CXXOPT=$(OPTIMIZE)

LDOPT=
LDXXOPT=-lm


# If you develop polygon engines, add them here.


USEGPORTS   = dosgport
USEPOLYENGS = peng_8 peng_555 peng_565 peng_24 peng_32x peng_x32 

# You should not need to modify these lines.
# See next comment ...

SRCGPORTS   = $(patsubst %,%.cc,$(USEGPORTS))
SRCPOLYENGS = $(patsubst %,%.cc,$(USEPOLYENGS))

GPORTS      = $(patsubst %,%.o,$(USEGPORTS))
POLYENGS    = $(patsubst %,%.o,$(USEPOLYENGS))

LDGPORTS    = $(patsubst %,$(TAGL_LIB)%,$(GPORTS))
LDPOLYENGS  = $(patsubst %,$(TAGL_LIB)%,$(POLYENGS))

           
# If your 'make' utility doesn't know 'patsubst',
# remove the previous declaration, uncomment the following
# ones, and remove the stuff you don't use from it.
# I sincerely hope your 'make' supports 'patsubst' !!
#
#SRCGPORTS=Xgport.C SVGAgport.C
#SRCPOLYENGS=polyeng_8.C polyeng_555.C polyeng_24.C polyeng_32.C polyeng_565.C
#
#GPORTS=Xgport.o SVGAgport.o
#POLYENGS=polyeng_8.o polyeng_555.o polyeng_24.o polyeng_32.o polyeng_565.o
#
#LDGPORTS=$(TAGL_LIB)/Xgport.o $(TAGL_LIB)/SVGAgport.o
#LDPOLYENGS=$(TAGL_LIB)/polyeng_8.o $(TAGL_LIB)/polyeng_555.o \
#           $(TAGL_LIB)/polyeng_24.o $(TAGL_LIB)/polyeng_32.o \
#           $(TAGL_LIB)/polyeng_565.o

           


# some programs will use stuff specific to a graphic port (via the Cntl() call)
# remove the graphic ports you do not use from here.

CCGPORTS= -DDOS_GPORT

#
# You should not need to modify this file 
# beyond this point.
#

LDGPORT=-L$(TAGL_LIB) -ltagl $(LDGPORTS) $(LDX11) $(LDSVGA)
LDPOLYENG=$(LDPOLYENGS)

.SUFFIXES: .o .c .cc

.cc.o:
	$(CXX) -c $(CXXOPT) $(CXXMOREOPT) -I$(TAGL_INC) $<

.c.o:
	$(CC) -c $(CCOPT) $<

nothing:
	@echo make what ?

love:
	@echo Making love - do not disturb
	@echo OOOoooOOoooOOoooh
	@echo Rhahaaahaaahhhaaa

# If your compiler doesn't know the '-MM' option (generate dependancies),
# use 'makedepend' instead.
# If you don't have 'makedepend', replace it by a dummy file creation.
# I redirect stderr to /dev/null, because makedepend
# doesn't know C++ include path, and dependencies with
# my files are sufficient (I won't modify system includes ...)
# If you have defined ALL_INCLUDES properly, you can remove
# '&> /dev/null'.
#
#dep:
#	makedepend $(ALL_INCLUDES) -I$(TAGL_INC) $(SRC) &> /dev/null


# Got problems with dependancies files under Dos ...
# I don't care, I develop under Linux.

dep:



clean:
	$(RM) *.o 


