/*
 *
 * gcompat_20.h
 * 
 * backward compatibility from TAGL 2.1 to 2.0
 *
 */

#ifndef GCOMPAT_20_H
#define GCOMPAT_20_H

// These type names have been changed to avoid
// collision with user types.

typedef GVertex           Vertex;
typedef GVertexPool       VertexPool;
typedef GVertexAttributes VertexAttributes;
typedef GPolygon          Polygon;

// Old virtual constructor

inline GraphicPort* MakeGraphicPort(char* name, 
				    ScrCoord width, ScrCoord height,
				    int verbose_level = MSG_NONE)
{
  return GraphicPort::Make(name, width, height, verbose_level);
}

inline PolygonEngine* MakePolygonEngine(GraphicPort *GP, 
					int verbose_level = MSG_NONE)
{
  return PolygonEngine::Make(GP, verbose_level);
}

#endif
