/*
 *
 * vpool.h
 *
 */

#ifndef VPOOL_H
#define VPOOL_H

#include "gdefs.h"

const int VERTEXPOOL_SZ = 100;

class GVertexPool
{

 protected:
  GVertex _v[VERTEXPOOL_SZ];
  int    _nv;

 public:
  GVertexPool(void);
  GVertex* New(void);
  void     Reset(void);

};

#include "vpool.ih"

#endif
