/*
 *
 * gmath.h
 *
 */

#ifndef GMATH_H
#define GMATH_H

#include "gnum.h"


class GMatrix
{
 public:
  GMatrix& operator= (GMatrix& M);
  GMatrix(GMatrix& M);
  GMatrix(void);


// Loading transformations

  void LoadIdentity(void);

// Pre-transforming
  
// Matrix level operations

  void mld(GMatrix &M1, GMatrix&M2);
  void mul(GMatrix &M);               // pre-multiply.

// Direct access

  GCoord& operator()(int i, int j);


 private:
  GCoord _x[4][4];

  friend ostream& operator<<(ostream& output, GMatrix& M);
};

#include "gmath.ih"

#endif
