/*
 *
 * polygon.h
 *
 */


#ifndef POLYGON_H
#define POLYGON_H

#include "gdefs.h"

const int POLYGON_SZ = 100;

class GPolygon
{
 protected:
  int _npv;
  GVertex* _pv[POLYGON_SZ];
 public:
  GPolygon(void);
  void    Push(GVertex* pv);
  GVertex* operator[](int idx);
  void    Reset(void);
  int     Size(void);
};

#include "polygon.ih"

#endif

