

typedef struct
{
unsigned char b,g,r;
} PixelValue;

#define GENPE_CLASS PolygonEngine_24
#define GENPE_BYTES_PER_PIXEL 3
#define GENPE_R_SHIFT 16
#define GENPE_G_SHIFT 8
#define GENPE_B_SHIFT 0
#define GENPE_RGB_SHIFT 0
#define GENPE_RGB_MASK  255


// this is endian dependant. This code works for
// little endian machines.

#define GCAST(x) (*(PixelValue *)(&(x)))

// for big endian, this should be (I am not sure about this):
// #define GCAST(x) (*(PixelValue *)(char *)((&(x)) + 1))
// 24 bits, it does not match a C++ numeric type, now, I
// understand why XFree uses 32bpp :-)

#include "genpeng.h"
